Categories:
  - Internet
  - Phone & SMS
License: GPL-3.0-or-later
WebSite: https://jami.net/
SourceCode: https://git.jami.net/savoirfairelinux/jami-client-android
IssueTracker: https://git.jami.net/savoirfairelinux/jami-client-android/issues
Translation: https://www.transifex.com/savoirfairelinux/jami

AutoName: Jami

RepoType: git
Repo: https://git.jami.net/savoirfairelinux/jami-client-android.git

Builds:
  - versionName: 2.0.003
    versionCode: 20
    commit: 0011b9ba52b6ac3aab97a2bf42a608f83f0ec15c
    output: ring-android/app/build/outputs/apk/app-release-unsigned.apk
    build:
      - echo -e '#!/bin/sh\ngradle "$@"' > ring-android/gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - ./compile.sh release

  - versionName: 2.0.009
    versionCode: 27
    commit: 4423b10e1dd8601d00486e1b78d39180cb45f410
    subdir: ring-android/app/src/main
    output: ../../build/outputs/apk/app-release-unsigned.apk
    build:
      - pushd ../../../../
      - echo -e '#!/bin/sh\ngradle "$@"' > ring-android/gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - ./compile.sh release
      - popd

  - versionName: 2.0.011
    versionCode: 29
    commit: 5ec1903a9fff4f267ee7043f778c70d5b0a3be49
    subdir: ring-android/app/src/main
    output: ../../build/outputs/apk/app-release-unsigned.apk
    build:
      - pushd ../../../../
      - echo -e '#!/bin/sh\ngradle "$@"' > ring-android/gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - ./compile.sh release
      - popd

  - versionName: 2.0.012b
    versionCode: 31
    commit: 729d6d1f60ab3162811d6ea01100779427a42778
    subdir: ring-android/app/src/main
    output: ../../build/outputs/apk/app-release-unsigned.apk
    build:
      - pushd ../../../../
      - echo -e '#!/bin/sh\ngradle "$@"' > ring-android/gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - ./compile.sh release
      - popd

  - versionName: '20160315'
    versionCode: 34
    commit: d432dc26775397efbb81d99582f45dfe5e1388f7
    subdir: ring-android/app/src/main
    output: ../../build/outputs/apk/app-release-unsigned.apk
    build:
      - pushd ../../../../
      - echo -e '#!/bin/sh\ngradle "$@"' > ring-android/gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - ./compile.sh release
      - popd

  - versionName: '20160520'
    versionCode: 44
    commit: a0273fd0334764924b62a6dbaf1b17b45cdd1dc0
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-universal-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20160526'
    versionCode: 45
    commit: e1b33489dcb8473d7163029ca5faa93e4f0f8147
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-universal-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20160610'
    versionCode: 49
    commit: 73cfbb9707b39dfed19753a94ba912f66c07f2b0
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-universal-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20160803'
    versionCode: 50
    commit: dfb25485e747864697c9f1bb4d0ac82cd6949ca0
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-universal-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20161103'
    versionCode: 53
    commit: 17a06163cc94656b53bf762cefd377cdcf169db5
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20161108'
    versionCode: 54
    commit: 7b381a62fba638106e5d71137a4e3351f9324b82
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20161123'
    versionCode: 55
    commit: 3120ba5864b414f8a2d8cb606ed02fc0000f861f
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20161130'
    versionCode: 56
    commit: 3a1eecdb97e6253900122cbe68418f01e8ff7098
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20161208'
    versionCode: 57
    commit: cea5daa40e2a60deb6e2921c4b17f80993159dc8
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20161221'
    versionCode: 59
    commit: 9b106adb72189f12b900f6ebd53330b243ba29ff
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20170118'
    versionCode: 60
    commit: 7c580b10b219d9a85c28aef8971ae4dfb251f0f2
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20170119'
    versionCode: 61
    commit: 145dca1ffff78af3a747b0b638d17f9f5be4919c
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20170126'
    versionCode: 63
    commit: 7e082b66c98a3df55c8ed11e7d21ec6553d8eccd
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20170201'
    versionCode: 64
    commit: 23df36fae57192b7232e27dda7ca2bbcdefde9da
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20170215'
    versionCode: 65
    commit: aa120c7551773cba8aebea291c3093fc92c5d3da
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20171126'
    versionCode: 96
    commit: 84816c91a7db583f11442b7cda9751b15b211134
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes -t jessie-backports swig
    output: build/outputs/apk/release/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - chmod +x ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - cd ../../
      - ./compile.sh release
    ndk: r15c

  - versionName: '20171129'
    versionCode: 97
    commit: cf5bbff85068826144e5c00832630294cd172e0e
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes -t jessie-backports swig
    output: build/outputs/apk/release/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - chmod +x ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - cd ../../
      - ./compile.sh release
    ndk: r15c

  - versionName: '20171215'
    versionCode: 99
    commit: bc414d7cfb421d84b76ef048373fcb7ffe113aa0
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes -t jessie-backports swig
    output: build/outputs/apk/release/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - chmod +x ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - cd ../../
      - ./compile.sh release
    ndk: r15c

  - versionName: '20180115'
    versionCode: 101
    commit: 8dea3991b3eca846ef83a5e68610c4961e0cc560
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes -t jessie-backports swig
    output: build/outputs/apk/release/app-release-unsigned.apk
    prebuild: $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-27'
    scandelete:
      - client-windows
      - client-uwp
    build:
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - chmod +x ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - cd ../../
      - ./compile.sh release
    ndk: r15c

  - versionName: '20180201'
    versionCode: 102
    commit: b855d3232daef0cc7572c712239aa218ae5b8c89
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes -t jessie-backports swig
    output: build/outputs/apk/release/app-release-unsigned.apk
    prebuild: $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-27'
    scandelete:
      - client-windows
      - client-uwp
    build:
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - chmod +x ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - cd ../../
      - ./compile.sh release
    ndk: r15c

  - versionName: '20180421'
    versionCode: 116
    commit: 8ce06c1bc2ee0837281f6d05fe97393d2a351a59
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes -t jessie-backports swig
    patch:
      - 0001-gradle-remove-unneeded-repo.patch
    gradle:
      - noPush
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-27'
      - sed -i -e '/$DAEMON_ONLY/,+7d' ../../compile.sh
    scandelete:
      - client-windows
      - client-uwp
    build:
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - cd ../../
      - ./compile.sh release
    ndk: r16b

  - versionName: '20180501'
    versionCode: 117
    commit: 3b176a6abca66f1c0f1485cec57dfd87487e6d98
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes -t jessie-backports swig
    gradle:
      - noPush
    prebuild: $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-27'
    scandelete:
      - client-windows
      - client-uwp
    build:
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - cd ../../
      - ./compile.sh --release --no-gradle
    ndk: r16b

  - versionName: '20180712'
    versionCode: 127
    commit: af8399f830b9fd10689d2d11a4e76ddf576d2f40
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes -t jessie-backports swig
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r16b

  - versionName: '20180805'
    versionCode: 129
    commit: ac674c27172339c0c4eb7fc23a560f694905efb0
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes -t jessie-backports swig
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r17b

  - versionName: '20190103'
    versionCode: 144
    commit: 621cd09ae6422be770584b11a7d202bc98150a74
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes swig
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r17b

  - versionName: '20190503'
    versionCode: 156
    commit: 9165c93abb67ca90077fa3945ddf3e19b6c15d32
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r19c

  - versionName: 20190602-01
    versionCode: 169
    commit: android/release_169
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r19c

  - versionName: 20190824-01
    versionCode: 189
    commit: android/release_189
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r20

  - versionName: 20191122-01
    versionCode: 201
    commit: android/release_201
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r20

  - versionName: 20191208-01
    versionCode: 205
    commit: android/release_205
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r20

  - versionName: 20200107-01
    versionCode: 210
    commit: android/release_210
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r20b

  - versionName: 20200501-01
    versionCode: 238
    commit: android/release_238
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing swig
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r21

  - versionName: 20200701-01
    versionCode: 249
    commit: android/release_249
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing swig
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r21d

  - versionName: 20200710-01
    versionCode: 251
    commit: android/release_251
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing swig
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r21d

  - versionName: 20200810-01
    versionCode: 255
    commit: android/release_255
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r21d

  - versionName: 20201222-01
    versionCode: 278
    commit: android/release_278
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-qt
      - plugins
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    prebuild: $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;30.0.2'
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r21d

  - versionName: 20210210-01
    versionCode: 282
    commit: android/release_282
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-qt
      - plugins
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    prebuild: $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;30.0.2'
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r21d

  - versionName: 20210222-01
    versionCode: 285
    commit: android/release_285
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-qt
      - plugins
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    prebuild: $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;30.0.2'
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r21d

  - versionName: 20210226-01
    versionCode: 286
    commit: android/release_286
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-qt
      - plugins
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    prebuild: $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;30.0.3'
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r21d

  - versionName: 20210409-01
    versionCode: 293
    commit: android/release_293
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-qt
      - plugins
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;30.0.3'
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r21e

  - versionName: 20210421-01
    versionCode: 294
    commit: android/release_294
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-qt
      - plugins
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;30.0.3'
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r21e

  - versionName: 20210503-01
    versionCode: 296
    commit: android/release_296
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-qt
      - plugins
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;30.0.3'
      - sed -i -e "s/ndkVersion '.*'/ndkVersion '22.1.7171670'/" build.gradle
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r22b

  - versionName: 20210521-01
    versionCode: 301
    commit: 531663d0e8ba1e4ad217fc7083fcb2918e47cc83
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;30.0.3'
      - sed -i -e "s/ndkVersion '.*'/ndkVersion '22.1.7171670'/" build.gradle
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r22b

  - versionName: 20210908-01
    versionCode: 318
    commit: android/release_318
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
      - update-alternatives --auto java
    gradle:
      - noPush
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'platforms;android-30'
        'build-tools;30.0.3'
      - sed -i -e "s/ndkVersion '.*'/ndkVersion '22.1.7171670'/" build.gradle
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r22b

  - versionName: 20210924-01
    versionCode: 320
    commit: android/release_320
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
      - update-alternatives --auto java
    gradle:
      - noPush
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'platforms;android-30'
        'build-tools;30.0.3'
      - sed -i -e "s/ndkVersion '.*'/ndkVersion '22.1.7171670'/" build.gradle
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r22b

  - versionName: 20211210-01
    versionCode: 324
    commit: android/release_324
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
      - update-alternatives --auto java
    gradle:
      - noPush
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
      'platforms;android-31' 'build-tools;31.0.0'
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r23

  - versionName: 20220121-01
    versionCode: 326
    commit: android/release_326
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
      - update-alternatives --auto java
    gradle:
      - noPush
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
      'platforms;android-31' 'build-tools;31.0.0'
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r23

  - versionName: 20220311-01
    versionCode: 328
    commit: android/release_328
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake g++
      - update-alternatives --auto java
      - pushd build/srclib/swig
      - ./autogen.sh
      - ./configure
      - make -j`nproc`
      - make install
      - popd
    gradle:
      - noPush
    srclibs:
      - swig@v4.0.2
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
      'platforms;android-31' 'build-tools;31.0.0' > /dev/null
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r23

  - versionName: 20220422-01
    versionCode: 329
    commit: android/release_329
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake g++
      - update-alternatives --auto java
      - pushd build/srclib/swig
      - ./autogen.sh
      - ./configure
      - make -j`nproc`
      - make install
      - popd
    gradle:
      - noPush
    srclibs:
      - swig@v4.0.2
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
      'platforms;android-31' 'build-tools;31.0.0' > /dev/null
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r23

  - versionName: 20220426-01
    versionCode: 330
    commit: android/release_330
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake g++
      - update-alternatives --auto java
      - pushd build/srclib/swig
      - ./autogen.sh
      - ./configure
      - make -j`nproc`
      - make install
      - popd
    gradle:
      - noPush
    srclibs:
      - swig@v4.0.2
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
      'platforms;android-31' 'build-tools;32.0.0' > /dev/null
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r23

  - versionName: 20220527-01
    versionCode: 331
    commit: android/release_331
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake g++
      - update-alternatives --auto java
      - pushd build/srclib/swig
      - ./autogen.sh
      - ./configure
      - make -j`nproc`
      - make install
      - popd
    gradle:
      - noPush
    srclibs:
      - swig@v4.0.2
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
      'platforms;android-31' 'build-tools;31.0.0' > /dev/null
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r23

  - versionName: 20220602-01
    versionCode: 332
    commit: android/release_332
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake g++
      - update-alternatives --auto java
      - pushd build/srclib/swig
      - ./autogen.sh
      - ./configure
      - make -j`nproc`
      - make install
      - popd
    gradle:
      - noPush
    srclibs:
      - swig@v4.0.2
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
      'platforms;android-31' 'build-tools;31.0.0' > /dev/null
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r23

  - versionName: 20220607-01
    versionCode: 334
    commit: android/release_334
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake g++
      - update-alternatives --auto java
      - pushd build/srclib/swig
      - ./autogen.sh
      - ./configure
      - make -j`nproc`
      - make install
      - popd
    gradle:
      - noPush
    srclibs:
      - swig@v4.0.2
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
      'platforms;android-32' 'build-tools;32.0.0' > /dev/null
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r23c

  - versionName: 20220615-01
    versionCode: 335
    commit: android/release_335
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake g++
      - update-alternatives --auto java
      - pushd build/srclib/swig
      - ./autogen.sh
      - ./configure
      - make -j`nproc`
      - make install
      - popd
    gradle:
      - noPush
    srclibs:
      - swig@v4.0.2
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
      'platforms;android-32' 'build-tools;32.0.0' > /dev/null
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r23c

  - versionName: 20220906-01
    versionCode: 343
    commit: e8c199719d334692563cfeb22975bfec680a3a91
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake g++
      - update-alternatives --auto java
    gradle:
      - noPush
    srclibs:
      - swig@v4.0.2
    rm:
      - client-ios
      - client-macosx
      - client-qt
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - scripts
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'platforms;android-33'
        'build-tools;33.0.0' > /dev/null
      - sed -i -e '/isEnable = true/d' build.gradle.kts
    build:
      - cd ../..
      - pushd $$swig$$
      - ./autogen.sh
      - ./configure --prefix=$$swig$$
      - make -j`nproc`
      - make install
      - popd
      - export PATH=$$swig$$/bin:$PATH
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r25b

  - versionName: 20220923-01
    versionCode: 344
    commit: 6ebe5f078829bf0a92869733ee05909cfca1c4e9
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake g++
      - update-alternatives --auto java
    gradle:
      - noPush
    srclibs:
      - swig@v4.0.2
    rm:
      - client-ios
      - client-macosx
      - client-qt
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - scripts
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'platforms;android-33'
        'build-tools;33.0.0' > /dev/null
      - sed -i -e '/isEnable = true/d' build.gradle.kts
    build:
      - cd ../..
      - pushd $$swig$$
      - ./autogen.sh
      - ./configure --prefix=$$swig$$
      - make -j`nproc`
      - make install
      - popd
      - export PATH=$$swig$$/bin:$PATH
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r25b

  - versionName: 20220930-01
    versionCode: 345
    commit: 904d538ec7c71e2dafce122f38165c7a0c10db07
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake g++
      - update-alternatives --auto java
    gradle:
      - noPush
    srclibs:
      - swig@v4.0.2
    rm:
      - client-ios
      - client-macosx
      - client-qt
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - scripts
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'platforms;android-33'
        'build-tools;33.0.0' > /dev/null
      - sed -i -e '/isEnable = true/d' build.gradle.kts
    build:
      - cd ../..
      - pushd $$swig$$
      - ./autogen.sh
      - ./configure --prefix=$$swig$$
      - make -j`nproc`
      - make install
      - popd
      - export PATH=$$swig$$/bin:$PATH
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r25b

  - versionName: 20221007-01
    versionCode: 346
    commit: 548d2d461988d7f2fc722a5ba2dbadb0570f65f1
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y cmake g++ swig autoconf automake m4 libtool pkg-config
        yasm tar gettext autopoint xz-utils bzip2 make python-is-python3
    gradle:
      - noPush
    rm:
      - client-ios
      - client-macosx
      - client-qt
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - scripts
    prebuild:
      - sdkmanager 'platforms;android-33' 'build-tools;33.0.0'
      - sed -i -e '/isEnable = true/d' build.gradle.kts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r25b

  - versionName: 20221107-01
    versionCode: 347
    commit: 2c4fd7449a0fdbb881a3caa86d0e21c5dc10948f
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y cmake g++ swig autoconf automake m4 libtool pkg-config
        yasm tar gettext autopoint xz-utils bzip2 make python-is-python3
    gradle:
      - noPush
    rm:
      - client-ios
      - client-macosx
      - client-qt
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - scripts
    prebuild:
      - sdkmanager 'platforms;android-33' 'build-tools;33.0.0'
      - sed -i -e '/isEnable = true/d' build.gradle.kts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r25b

  - versionName: 20221121-01
    versionCode: 348
    commit: 6700e64fdc609beb6b5f3cc1b7bc6dce8bcc8c0e
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y cmake g++ swig autoconf automake m4 libtool pkg-config
        yasm tar gettext autopoint xz-utils bzip2 make python-is-python3
    gradle:
      - noPush
    rm:
      - client-ios
      - client-macosx
      - client-qt
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - scripts
    prebuild:
      - sdkmanager 'platforms;android-33' 'build-tools;33.0.0'
      - sed -i -e '/isEnable = true/d' build.gradle.kts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r25b

  - versionName: 20221124-01
    versionCode: 349
    commit: f219aafa56c29463353d906d7a40158c016660b0
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y cmake g++ swig autoconf automake m4 libtool pkg-config
        yasm tar gettext autopoint xz-utils bzip2 make python-is-python3
    gradle:
      - noPush
    rm:
      - client-ios
      - client-macosx
      - client-qt
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - scripts
    prebuild:
      - sdkmanager 'platforms;android-33' 'build-tools;33.0.0'
      - sed -i -e '/isEnable = true/d' build.gradle.kts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r25b

  - versionName: 20221202-01
    versionCode: 350
    commit: e4172b18d42ada450851e33ad3836deee90270e7
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y cmake g++ swig autoconf automake m4 libtool pkg-config
        yasm tar gettext autopoint xz-utils bzip2 make python-is-python3
    gradle:
      - noPush
    rm:
      - client-ios
      - client-macosx
      - client-qt
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - scripts
    prebuild:
      - sdkmanager 'platforms;android-33' 'build-tools;33.0.0'
      - sed -i -e '/isEnable = true/d' build.gradle.kts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r25b

  - versionName: 20221207-01
    versionCode: 352
    commit: 6e33adba273f984ad03e001a9ea9fcc190462cb1
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y cmake g++ swig autoconf automake m4 libtool pkg-config
        yasm tar gettext autopoint xz-utils bzip2 make python-is-python3
    gradle:
      - noPush
    rm:
      - client-ios
      - client-macosx
      - client-qt
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - scripts
    prebuild:
      - platforms=$(grep compileSdk build.gradle.kts | sed -E 's/.* ([0-9]+)/\1/')
      - build_tools=$(grep buildToolsVersion build.gradle.kts | sed -E 's/.*"([0-9.]+)"/\1/')
      - sdkmanager "platforms;android-$platforms" "build-tools;$build_tools"
      - sed -i -e '/isEnable = true/d' build.gradle.kts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r25b

  - versionName: 20221216-01
    versionCode: 353
    commit: 8283d6dfed9f5c1d86a7b817e6e537d69664fad1
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y cmake g++ swig autoconf automake m4 libtool pkg-config
        yasm tar gettext autopoint xz-utils bzip2 make python-is-python3
    gradle:
      - noPush
    rm:
      - client-ios
      - client-macosx
      - client-qt
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - scripts
    prebuild:
      - platforms=$(grep compileSdk build.gradle.kts | sed -E 's/.* ([0-9]+)/\1/')
      - build_tools=$(grep buildToolsVersion build.gradle.kts | sed -E 's/.*"([0-9.]+)"/\1/')
      - sdkmanager "platforms;android-$platforms" "build-tools;$build_tools"
      - sed -i -e '/isEnable = true/d' build.gradle.kts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r25b

  - versionName: 20221220-01
    versionCode: 354
    commit: 0f48a1244b6e12d599ea6501a7b52c40784013e9
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y cmake g++ swig autoconf automake m4 libtool pkg-config
        yasm tar gettext autopoint xz-utils bzip2 make python-is-python3
    gradle:
      - noPush
    rm:
      - client-ios
      - client-macosx
      - client-qt
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - scripts
    prebuild:
      - platforms=$(grep compileSdk build.gradle.kts | sed -E 's/.* ([0-9]+)/\1/')
      - build_tools=$(grep buildToolsVersion build.gradle.kts | sed -E 's/.*"([0-9.]+)"/\1/')
      - sdkmanager "platforms;android-$platforms" "build-tools;$build_tools"
      - sed -i -e '/isEnable = true/d' build.gradle.kts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r25b

  - versionName: 20221222-01
    versionCode: 355
    commit: a0e0ab9a6ac39fb44519325f21d793db5948df63
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y cmake g++ swig autoconf automake m4 libtool pkg-config
        yasm tar gettext autopoint xz-utils bzip2 make python-is-python3
    gradle:
      - noPush
    rm:
      - client-ios
      - client-macosx
      - client-qt
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - scripts
    prebuild:
      - platforms=$(grep compileSdk build.gradle.kts | sed -E 's/.* ([0-9]+)/\1/')
      - build_tools=$(grep buildToolsVersion build.gradle.kts | sed -E 's/.*"([0-9.]+)"/\1/')
      - sdkmanager "platforms;android-$platforms" "build-tools;$build_tools"
      - sed -i -e '/isEnable = true/d' build.gradle.kts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r25b

  - versionName: 20221225-01
    versionCode: 356
    commit: f75fdb25c2a9e815bb4737b20280e8a5d6834604
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y cmake g++ swig autoconf automake m4 libtool pkg-config
        yasm tar gettext autopoint xz-utils bzip2 make python-is-python3
    gradle:
      - noPush
    rm:
      - client-ios
      - client-macosx
      - client-qt
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - scripts
    prebuild:
      - platforms=$(grep compileSdk build.gradle.kts | sed -E 's/.* ([0-9]+)/\1/')
      - build_tools=$(grep buildToolsVersion build.gradle.kts | sed -E 's/.*"([0-9.]+)"/\1/')
      - sdkmanager "platforms;android-$platforms" "build-tools;$build_tools"
      - sed -i -e '/isEnable = true/d' build.gradle.kts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r25b

  - versionName: 20230113-01
    versionCode: 357
    commit: 746e5671f8879e49fe73458c02dce77db21619ea
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool make pkg-config
        python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
    gradle:
      - noPush
    rm:
      - client-ios
      - client-macosx
      - client-qt
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - scripts
    prebuild:
      - platforms=$(grep compileSdk build.gradle.kts | sed -E 's/.* ([0-9]+)/\1/')
      - build_tools=$(grep buildToolsVersion build.gradle.kts | sed -E 's/.*"([0-9.]+)"/\1/')
      - sdkmanager "platforms;android-$platforms" "build-tools;$build_tools" "cmake;3.22.1"
      - sed -i -e '/isEnable = true/d' build.gradle.kts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r25b

  - versionName: 20230119-01
    versionCode: 358
    commit: 1584d0cee44359ef1d3aa8db349add4a3cb550c5
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool make pkg-config
        python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
    gradle:
      - noPush
    rm:
      - client-ios
      - client-macosx
      - client-qt
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - scripts
    prebuild:
      - platforms=$(grep compileSdk build.gradle.kts | sed -E 's/.* ([0-9]+)/\1/')
      - build_tools=$(grep buildToolsVersion build.gradle.kts | sed -E 's/.*"([0-9.]+)"/\1/')
      - sdkmanager "platforms;android-$platforms" "build-tools;$build_tools" "cmake;3.22.1"
      - sed -i -e '/isEnable = true/d' build.gradle.kts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r25b

  - versionName: 20230227-01
    versionCode: 361
    commit: f45d27e209b78e9cf40fd6cc1137ddd6e52d981f
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool make pkg-config
        python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
    gradle:
      - withUnifiedPush
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20230301-01
    versionCode: 362
    commit: f9142f5aee0b9436f590b3771b6cd8cd674f53da
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool make pkg-config
        python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
    gradle:
      - withUnifiedPush
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20230327-01
    versionCode: 364
    commit: 0044418f2b62f45ba9a3d60fedb64b377af70a92
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool make pkg-config
        python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
    gradle:
      - withUnifiedPush
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20230406-01
    versionCode: 365
    commit: a986d993587d286b72709c09f9eaea26d3aba75d
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool make pkg-config
        python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
    gradle:
      - withUnifiedPush
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20230421-01
    versionCode: 366
    commit: 6bf216d9223fdbd7df6189a04d4cbf445b4fae55
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool make pkg-config
        python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
    gradle:
      - withUnifiedPush
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20230424-01
    versionCode: 367
    commit: 3f87565cc46ca68a6c9c38154d09416f30c766a0
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool make pkg-config
        python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
    gradle:
      - withUnifiedPush
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20230502-01
    versionCode: 368
    commit: 0dbb6687f2654836573c767a0c7923919375d3b2
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool make pkg-config
        python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
    gradle:
      - withUnifiedPush
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20230529-01
    versionCode: 370
    commit: f368281687c3b660fd13cd583f75f546fb1f0f1b
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool make pkg-config
        python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
    gradle:
      - withUnifiedPush
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20230602-01
    versionCode: 371
    commit: 0063960ca38dd68d099db901c85b68a2b85e8ad0
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool make pkg-config
        python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
    gradle:
      - withUnifiedPush
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20230616-01
    versionCode: 372
    commit: 392e0e997eab9d2ce1fb400860b60cecd3cec121
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool make pkg-config
        python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
    gradle:
      - withUnifiedPush
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20230710-01
    versionCode: 373
    commit: 48be2a8b11273c84dff7e858148c2b197b51f615
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool make pkg-config
        python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
    gradle:
      - withUnifiedPush
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20230714-01
    versionCode: 374
    commit: 8c707034cf7dfaba5eb788f9d5b45c06888e0d96
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool make pkg-config
        python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
    gradle:
      - withUnifiedPush
    prebuild: sed -i -e "/android {/a lint { abortOnError = false }" build.gradle.kts
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20230728-01
    versionCode: 375
    commit: 835c092fcc3eae5359bc337ed4eb4aa96e518b90
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool make pkg-config
        python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
    gradle:
      - withUnifiedPush
    prebuild: sed -i -e "/android {/a lint { abortOnError = false }" build.gradle.kts
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20230810-01
    versionCode: 376
    commit: 2066123520e24f3655e15202e07e759660003f3b
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool make pkg-config
        python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - withUnifiedPush
    prebuild: sed -i -e "/android {/a lint { abortOnError = false }" build.gradle.kts
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20230818-01
    versionCode: 377
    commit: 5cbd22a3af7b8066468575c387a99a1731a72378
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool libyaml-cpp-dev
        make pkg-config python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - withUnifiedPush
    prebuild: sed -i -e "/android {/a lint { abortOnError = false }" build.gradle.kts
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20230824-01
    versionCode: 378
    commit: 1c795cf92a977f192e230057965660eaf508b0fa
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool libyaml-cpp-dev
        make pkg-config python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - withUnifiedPush
    prebuild: sed -i -e "/android {/a lint { abortOnError = false }" build.gradle.kts
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20230901-01
    versionCode: 379
    commit: 733ca2cd156a4d0f37f1a0c7c3a9f979232b448e
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool libyaml-cpp-dev
        make pkg-config python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - withUnifiedPush
    prebuild: sed -i -e "/android {/a lint { abortOnError = false }" build.gradle.kts
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20230925-01
    versionCode: 382
    commit: fe714c57ea407bd576a0d5384b122be0c7a9a1f9
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool libyaml-cpp-dev
        make pkg-config python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - withUnifiedPush
    prebuild: sed -i -e "/android {/a lint { abortOnError = false }" build.gradle.kts
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20230928-01
    versionCode: 383
    commit: db090467d813f841404787bf1ba8125188f700c8
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool libyaml-cpp-dev
        make pkg-config python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - withUnifiedPush
    prebuild: sed -i -e "/android {/a lint { abortOnError = false }" build.gradle.kts
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20231002-02
    versionCode: 385
    commit: 1a838b3b98a3444665a34cc8f07f52d0ac472699
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool libyaml-cpp-dev
        make pkg-config python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - withUnifiedPush
    prebuild: sed -i -e "/android {/a lint { abortOnError = false }" build.gradle.kts
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20231006-01
    versionCode: 386
    commit: 54c30656a503a6796a8cec239648e1717898c13f
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool libyaml-cpp-dev
        make pkg-config python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - withUnifiedPush
    prebuild: sed -i -e "/android {/a lint { abortOnError = false }" build.gradle.kts
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r25c
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20231019-01
    versionCode: 387
    commit: 27d9bf9c97aa0e941dc910bce58acc413cd6370b
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool libyaml-cpp-dev
        make pkg-config python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - withUnifiedPush
    prebuild: sed -i -e "/android {/a lint { abortOnError = false }" build.gradle.kts
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: r26
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20231024-01
    versionCode: 388
    commit: bb42851d1618f49aabae8e0853bbda2f3f6dfaa6
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool libyaml-cpp-dev
        make pkg-config python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - withUnifiedPush
    prebuild: sed -i -e "/android {/a lint { abortOnError = false }" build.gradle.kts
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: 26.1.10909125
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20231027-01
    versionCode: 389
    commit: 464f9a187ff905854cfa9f255e33e936d020cfee
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool libyaml-cpp-dev
        make pkg-config python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - withUnifiedPush
    prebuild: sed -i -e "/android {/a lint { abortOnError = false }" build.gradle.kts
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: 26.1.10909125
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20231103-01
    versionCode: 390
    commit: 71daa910693ea4ef8d44d5278cba0327d0172612
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool libyaml-cpp-dev
        make pkg-config python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - withUnifiedPush
    prebuild: sed -i -e "/android {/a lint { abortOnError = false }" build.gradle.kts
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: 26.1.10909125
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20231108-01
    versionCode: 391
    disable: https://git.jami.net/savoirfairelinux/jami-client-android/-/issues/1443
    commit: 1e641953274c3dbe501b1e095a53b76005e7bbbb
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool libyaml-cpp-dev
        make pkg-config python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - withUnifiedPush
    prebuild: sed -i -e "/android {/a lint { abortOnError = false }" build.gradle.kts
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: 26.1.10909125
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20231123-01
    versionCode: 392
    commit: 7e0fc1059e601194543d5ffaf4e49a2bd0433843
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool libyaml-cpp-dev
        make pkg-config python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - withUnifiedPush
    prebuild: sed -i -e "/android {/a lint { abortOnError = false }" build.gradle.kts
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: 26.1.10909125
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20231129-01
    versionCode: 393
    commit: e9a7fd3b8580513b00b99d433bcba345e21bd914
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool libyaml-cpp-dev
        make pkg-config python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - withUnifiedPush
    prebuild: sed -i -e "/android {/a lint { abortOnError = false }" build.gradle.kts
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: 26.1.10909125
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20231208-01
    versionCode: 394
    commit: 78e8441822ce02f01977b4acf9171662212cedc3
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool libyaml-cpp-dev
        make pkg-config python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - withUnifiedPush
    prebuild: sed -i -e "/android {/a lint { abortOnError = false }" build.gradle.kts
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: 26.1.10909125
    gradleprops:
      - android.builder.sdkDownload=true

  - versionName: 20231212-01
    versionCode: 395
    commit: a1c4206df59cc72ca95a720adc9680f2c8227c2b
    timeout: 10800
    subdir: jami-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ automake autopoint bzip2 gettext libtool libyaml-cpp-dev
        make pkg-config python-is-python3 swig tar yasm
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - withUnifiedPush
    prebuild: sed -i -e "/android {/a lint { abortOnError = false }" build.gradle.kts
    build:
      - cd ../../daemon/bin/jni
      - PACKAGEDIR=../../../jami-android/libjamiclient/src/main/java ./make-swig.sh
    ndk: 26.1.10909125
    gradleprops:
      - android.builder.sdkDownload=true

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 20231212-01
CurrentVersionCode: 395
